Page MenuHomePhabricator

Flow broken in mobile apps
Closed, DeclinedPublic

Description

Mobile app on Android

Flow is broken in various ways on the mobile app (tested on Android, but Dan Garry tested on iOS). For example:

  1. It shows the title as false.
  2. It shows a bogus edit link next to false. When you click that the mobile app shows:

Could not reach the network :(
Retry

This is probably because the the mobile app is assuming any API failure is a network failure, which is not correct in this case.

Since it apparently gets the no-JS experience, it sends you back to the web when you click any interaction (e.g. "Start a new topic"). This is actually better than staying the app and messing up the UI.

For now, it should not let the user move from the mobile web to the mobile app (for example, the robot that lets you move web => app on Android should not display), and if possible it should send them back from the app to web if they try to visit a Flow page.


Version: master
Severity: normal

Attached:

Details

Reference
bz71754

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:51 AM
bzimport set Reference to bz71754.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:41 AM
Quiddity triaged this task as Normal priority.Jan 30 2015, 7:32 PM
Quiddity added a project: Mobile-Apps.
Quiddity set Security to None.
Quiddity added a subscriber: bearND.
Mattflaschen-WMF renamed this task from Flow is broken on the mobile app to Flow is broken on the mobile apps (tracking).Mar 22 2015, 5:07 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 6 2015, 8:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 9:15 PM
DannyH renamed this task from Flow is broken on the mobile apps (tracking) to Mobile apps - Flow issues (tracking).Jul 24 2015, 12:07 AM
Josve05a added subscribers: JMinor, Josve05a.EditedApr 12 2016, 7:15 PM

Who is this a tracker for? I see no tasks it is tracking (only one tasks which is in the description). Nwither does it provide any information of which departement is/should work on this. The apps-teams or collabs-team?`And what is there to do? @Quiddity @JMinor

This is in our tracking column so we can monitor if this picks back up or is worked on by any other teams. It is not on the iOS team roadmap to do any active work (hence Tracking) just to be aware if work is done.

As I see it, this task has never had any tasks associated (blocked/blocking) with it. (only a depricated trello board) How can something be a tracker, when it isn't tracking anything....

DannyH removed a subscriber: DannyH.Apr 13 2016, 12:37 AM
Catrope renamed this task from Mobile apps - Flow issues (tracking) to Flow broken in mobile apps.Apr 18 2016, 9:34 PM
Catrope removed a project: Tracking-Neverending.

As I see it, this task has never had any tasks associated (blocked/blocking) with it. (only a depricated trello board) How can something be a tracker, when it isn't tracking anything....

This isn't a tracking task, so I've renamed it and removed the tracking tag.

This is in our tracking column so we can monitor if this picks back up or is worked on by any other teams. It is not on the iOS team roadmap to do any active work (hence Tracking) just to be aware if work is done.

AFAICT this bug needs to be addressed primarily on the apps side, not on the Flow side.

This is in our tracking column so we can monitor if this picks back up or is worked on by any other teams. It is not on the iOS team roadmap to do any active work (hence Tracking) just to be aware if work is done.

AFAICT this bug needs to be addressed primarily on the apps side, not on the Flow side.

Yes, sorry, I did not mean to imply we were waiting for Flow to be "fixed" by anyone else. This ticket is here to document that Flow doesn't work in the apps, and for me/us to be alerted if anyone (on Android, iOS or any other team) picks up work or this status quo changes. That is exceedingly unlikely soon, but the future could hold many untold wonders.

LGoto closed this task as Declined.Apr 3 2018, 10:21 PM
LGoto added a subscriber: LGoto.

Closed as part of board grooming process.